From f0868bb2445d63990b8e94d9acaae6feec5ec14f Mon Sep 17 00:00:00 2001
From: Matheus Bernardo <matheussber@aluno.unb.br>
Date: Jun 21 2018 00:41:00 +0000
Subject: [PATCH 29/42] Extracting method SRP and Clean Code


---

diff --git a/src/components/register/RegisterForm.vue b/src/components/register/RegisterForm.vue
index 9004efc..cb66c22 100644
--- a/src/components/register/RegisterForm.vue
+++ b/src/components/register/RegisterForm.vue
@@ -86,15 +86,22 @@
         window.$('#confirmPassword').removeClass('has-error')
         window.$('#help-password').text('')
       },
+      verifyConfirmationPassword (password, confirmationPassword) {
+        if (password !== confirmationPassword) {
+          window.$('#password').addClass('has-error')
+          window.$('#confirmPassword').addClass('has-error')
+          window.$('#help-password').text('As senhas não conferem')
+          return false
+        } else {
+          return true
+        }
+      },
       onSubmit (evt) {
         evt.preventDefault()
 
         this.clearFields()
-
-        if (this.form['password'] !== this.form['confirmPassword']) {
-          window.$('#password').addClass('has-error')
-          window.$('#confirmPassword').addClass('has-error')
-          window.$('#help-password').text('As senhas não conferem')
+        let confirmed = this.verifyConfirmationPassword(this.form['password'], this.form['confirmPassword'])
+        if (!confirmed) {
           return false
         }
         api.register(this.form['name'], this.form['email'], this.form['password'])

